Bug 839 - %U variable expansion failes in home directories
%U variable expansion failes in home directories
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0
All Solaris
: P3 normal
: none
Assigned To: Samba Bugzilla Account
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-28 04:17 UTC by Alex
Modified: 2005-11-14 09:29 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex 2003-11-28 04:17:40 UTC
in smb.conf:

deadtime = 15
[home]
path = /samba/home/%U
browseable = no
writable = yes
veto files = .*
guest ok = no
comment = Users' home directories

Problem exist with NT machines
after deadime if finished or if smbd was restarted

user's home share is remounted as in [homes] section
Now user can see directories of all other users and take their files if no
correct unix permissions was set. 


#bin/smbstatus

17829  DENY_WRITE 0x2019f     RDWR       LEVEL_II
/samba/home//ghost/file.doc   Fri Nov 28 14:20:07 2003
          ^^^ 
          ^^^
Where is %U user name?
Comment 1 Gerald (Jerry) Carter 2003-12-07 23:08:07 UTC
the variable expansion bug should be fixed in 3.0.1rc1
Comment 2 Gerald (Jerry) Carter 2005-08-24 10:25:57 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 3 Gerald (Jerry) Carter 2005-11-14 09:29:30 UTC
database cleanup